(defun main ()
  (sdl:with-init ()
    (sdl:window 640 480 :title-caption "てすと")
    (setf (sdl:frame-rate) 60)
    (sdl:initialise-default-font sdl:*font-10x20*)
    (let ((current-key nil)) 

      (sdl:update-display)

      (sdl:with-events ()
        (:quit-event () t)
        (:key-down-event (:key key) ; キーを押したときの処理
          (if (sdl:key= key :sdl-key-escape)
            (sdl:push-quit-event)
            (setf current-key key)))
        (:key-up-event () ; キーを放したとき処理
          (setf current-key nil))
        (:idle ()
          (sdl:clear-display sdl:*black*)
          ; どのキーが押されたか表示
          (sdl:draw-string-solid-* (format nil "~A" current-key) 10 20)
          (sdl:update-display))))))
